org.icefaces.ace.component.ajax

## Class AjaxBehavior

- java.lang.Object
- - javax.faces.component.behavior.BehaviorBase
  - - javax.faces.component.behavior.ClientBehaviorBase
    - - org.icefaces.ace.component.ajax.AjaxBehavior

- All Implemented Interfaces:
    javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder

      public class AjaxBehavior
      extends javax.faces.component.behavior.ClientBehaviorBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxBehavior()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBehaviorListener(javax.faces.event.BehaviorListener listener)`
    `protected java.lang.Object` | `eval(org.icefaces.ace.component.ajax.AjaxBehavior.Property prop, java.lang.Object unspecifiedValue)`
    `java.lang.String` | `getExecute()`
    `java.util.Set<javax.faces.component.behavior.ClientBehaviorHint>` | `getHints()`
    `java.lang.String` | `getOnComplete()`
    `java.lang.String` | `getOnError()`
    `java.lang.String` | `getOnStart()`
    `java.lang.String` | `getOnSuccess()`
    `java.lang.String` | `getRender()`
    `java.lang.String` | `getRendererType()`
    `boolean` | `isDisabled()`
    `boolean` | `isImmediate()`
    `boolean` | `isImmediateSet()`
    `protected java.util.Map` | `restorePropertyMap(javax.faces.context.FacesContext context, java.lang.Object[] values, boolean restoreValuesFromAttachedState)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `protected java.lang.Object[]` | `savePropertyMap(javax.faces.context.FacesContext context, java.util.Map map, boolean saveValuesAsAttachedState)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setExecute(java.lang.String execute)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setOnComplete(java.lang.String onComplete)`
    `void` | `setOnError(java.lang.String onError)`
    `void` | `setOnStart(java.lang.String onStart)`
    `void` | `setOnSuccess(java.lang.String onSuccess)`
    `void` | `setRender(java.lang.String render)`

    - ### Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase

      `decode, getRenderer, getScript`

    - ### Methods inherited from class javax.faces.component.behavior.BehaviorBase

      `broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.Behavior

      `broadcast`

- - ### Constructor Detail

    - #### AjaxBehavior

          public AjaxBehavior()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`

    - #### getHints

          public java.util.Set<javax.faces.component.behavior.ClientBehaviorHint> getHints()

      Specified by:
        `getHints` in interface `javax.faces.component.behavior.ClientBehavior`
      Overrides:
        `getHints` in class `javax.faces.component.behavior.ClientBehaviorBase`

    - #### addBehaviorListener

          public void addBehaviorListener(javax.faces.event.BehaviorListener listener)

      Overrides:
        `addBehaviorListener` in class `javax.faces.component.behavior.BehaviorBase`

    - #### getOnComplete

          public java.lang.String getOnComplete()

    - #### setOnComplete

          public void setOnComplete(java.lang.String onComplete)

    - #### getOnStart

          public java.lang.String getOnStart()

    - #### setOnStart

          public void setOnStart(java.lang.String onStart)

    - #### getOnSuccess

          public java.lang.String getOnSuccess()

    - #### setOnSuccess

          public void setOnSuccess(java.lang.String onSuccess)

    - #### getOnError

          public java.lang.String getOnError()

    - #### setOnError

          public void setOnError(java.lang.String onError)

    - #### getExecute

          public java.lang.String getExecute()

    - #### setExecute

          public void setExecute(java.lang.String execute)

    - #### getRender

          public java.lang.String getRender()

    - #### setRender

          public void setRender(java.lang.String render)

    - #### isDisabled

          public boolean isDisabled()

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### isImmediate

          public boolean isImmediate()

    - #### setImmediate

          public void setImmediate(boolean immediate)

    - #### isImmediateSet

          public boolean isImmediateSet()

    - #### eval

          protected java.lang.Object eval(org.icefaces.ace.component.ajax.AjaxBehavior.Property prop,
                                          java.lang.Object unspecifiedValue)

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.behavior.BehaviorBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.behavior.BehaviorBase`

    - #### savePropertyMap

          protected java.lang.Object[] savePropertyMap(javax.faces.context.FacesContext context,
                                                       java.util.Map map,
                                                       boolean saveValuesAsAttachedState)

    - #### restorePropertyMap

          protected java.util.Map restorePropertyMap(javax.faces.context.FacesContext context,
                                                     java.lang.Object[] values,
                                                     boolean restoreValuesFromAttachedState)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.